#1561 closed defect (fixed)

sparc64 [2/5]: cpukit

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: ralf.corsepius@… Blocked By:
Blocking:

Description

The attached files are the cpukit portions of the sparc64 port.

cpukit.diff -- build-related files that change to add the sparc64 cpu model.

sparc64.tgz -- the cpukit/score/cpu/sparc64 directory.

Attachments (2)

cpukit.diff (1.7 KB) - added by Gedare Bloom on Jun 14, 2010 at 8:21:21 PM.
Add sparc64 cpukit/score/cpu
sparc64.tgz (16.5 KB) - added by Gedare Bloom on Jun 14, 2010 at 8:21:49 PM.
cpukit/score/cpu/sparc64 directory

Download all attachments as: .zip

Change History (7)

Changed on Jun 14, 2010 at 8:21:21 PM by Gedare Bloom

Attachment: cpukit.diff added

Add sparc64 cpukit/score/cpu

Changed on Jun 14, 2010 at 8:21:49 PM by Gedare Bloom

Attachment: sparc64.tgz added

cpukit/score/cpu/sparc64 directory

comment:1 Changed on Jun 14, 2010 at 8:22:10 PM by Gedare Bloom

Summary: sparc64 [1/5]: cpukitsparc64 [2/5]: cpukit

comment:2 Changed on Jun 14, 2010 at 9:06:47 PM by Joel Sherrill

Cc: Ralf Corsepius added

comment:3 Changed on Jun 15, 2010 at 9:46:05 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:4 Changed on Jun 15, 2010 at 10:02:20 PM by Ralf Corsepius

Gedare and I chatted on IRC. He has technical concerns that the 32 and 64 bit
ports are so different that it wouldn't be a good idea.

FTR: I don't share this concern but am blaming lack of experience and familarity with multilibs for this concern.

Conversely, I am expecting to see further code duplication in libcpu and clumsy attempts to get "shared stuff" between sparc and sparc64 working there.

May-be you guys haven't realized that implementing a "multilib support directory" is not substantially different from implementing a "target support directory"?

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.